Get an x402 payment
Returns a single x402 payment transaction by ID. The transaction must belong to the authenticated user; organization sub-users must have read permission on transactions. Returns 404 if the transaction does not exist or belongs to another user.
GET
/
v2
/
x402
/
credit_account
/
payments
/
{id}
Get an x402 payment
curl --request GET \
--url https://api.telnyx.com/v2/x402/credit_account/payments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/x402/credit_account/payments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/x402/credit_account/payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "de06811a-2e43-4561-af5a-7d0a26e20aaa",
"record_type": "x402_transaction",
"amount": "50.00",
"currency": "USD",
"status": "settled",
"quote_id": "quote_abc123",
"tx_hash": "0xabc123def456...",
"created_at": "2026-03-13T15:00:00Z",
"updated_at": "2026-03-13T15:00:00Z"
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "The required authentication headers were either invalid or not included in the request."
}
]
}{
"errors": [
{
"code": "10010",
"title": "Authorization failed",
"detail": "You do not have permission to perform the requested action on the specified resource or resources."
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10005"
},
"source": {
"pointer": "/"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The x402 payment transaction ID.
Response
x402 payment transaction details
An x402 payment transaction.
Show child attributes
Show child attributes
Was this page helpful?
Get an x402 payment
